Package org.apache.jmeter.visualizers

# Class RespTimeGraphLineBean

java.lang.Object
org.apache.jmeter.visualizers.RespTimeGraphLineBean

public class RespTimeGraphLineBean extends Object
Bean to represent information about a graph line

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RespTimeGraphLineBean(String label, Color lineColor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLabel()`
  `Color`
  `getLineColor()`
  `void`
  `setLabel(String label)`
  `void`
  `setLineColor(Color lineColor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RespTimeGraphLineBean

    public RespTimeGraphLineBean(String label, Color lineColor)
    Parameters:
      `label` - The label for this line
      `lineColor` - The `Color` for this line

- ## Method Details

  - ### getLabel

    public String getLabel()
    Returns:
      the label

  - ### setLabel

    public void setLabel(String label)
    Parameters:
      `label` - the label to set

  - ### getLineColor

    public Color getLineColor()
    Returns:
      the lineColor

  - ### setLineColor

    public void setLineColor(Color lineColor)
    Parameters:
      `lineColor` - the lineColor to set